<template>
  <div>
    <q-list>
      <q-item-label header>Settings</q-item-label>
      <q-item clickable @click="() => { this.$q.dark.toggle() }">
        <q-item-section>
          <q-item-label>Dark mode</q-item-label>
          <q-item-label caption>Toggles dark mode</q-item-label>
        </q-item-section>
        <q-item-section side>
          <q-toggle v-model="isDarkModeEnabled"/>
        </q-item-section>
      </q-item>
      <q-separator />
      <q-item clickable @click="() => { isRatingDialogVisible = true }">
        <q-item-section>
          <q-item-label>Rate the application</q-item-label>
          <q-item-label caption>Toggles dark mode</q-item-label>
        </q-item-section>
        <q-item-section side v-if="rate >= 0">{{ rate }}/5</q-item-section>
      </q-item>
      <q-separator />
    </q-list>
    <q-dialog v-model="isRatingDialogVisible">
      <q-card>
        <q-item-label header class="text-left">How much do you like our application?</q-item-label>
        <q-card-section class="text-center">
          <q-form @submit="showNotification">
            <q-rating
              v-model="rate"
              size="2.5em"
              color="yellow"
              icon="star_border"
              icon-selected="star"
            />
            <q-card-actions align="right">
              <q-btn v-close-popup label="Submit" type="submit" color="primary"/>
            </q-card-actions>
          </q-form>
        </q-card-section>
      </q-card>
    </q-dialog>
  </div>
</template>

<script>
export default {
  name: 'SettingsPage',
  data: () => {
    return {
      rate: -1,
      isRatingDialogVisible: false
    }
  },
  computed: {
    isDarkModeEnabled () {
      return this.$q.dark.isActive
    }
  },
  methods: {
    showNotification () {
      this.$q.notify({
        type: 'info',
        message: 'Thank you for your opinion. It helps us make our application better.'
      })
    }
  }
}
</script>

<style scoped>

</style>
